#!/usr/local/bin/lua

return function (processInput, presentation, ...)
	if select('#', ...) == 0 then
		presentation('stdin', processInput(io.stdin:lines()))
	else
		for i=1,select('#', ...) do
			local f = select(i, ...)
			presentation(f, processInput(io.lines(f)))
		end
	end
end
